## libkscreen 1.0.1

=== CMakeLists.txt ===
project(libkscreen)
set(libkscreen_VERSION_MAJOR 1)
set(libkscreen_VERSION_MINOR 0)
set(libkscreen_VERSION_RELEASE 1)
set(libkscreen_VERSION "${libkscreen_VERSION_MAJOR}.${libkscreen_VERSION_MINOR}.${libkscreen_VERSION_RELEASE}")

cmake_minimum_required(VERSION 2.8.0)

if(POLICY CMP0017)
  cmake_policy(SET CMP0017 NEW)
endif()

set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/modules ${CMAKE_MODULE_PATH})
enable_testing()
find_package(Qt4 REQUIRED)
find_package(KDE4 REQUIRED)
find_package(QJSON 0.8 REQUIRED)
include(KDE4Defaults)
add_definitions(${KDE4_DEFINITIONS})
include(CheckCXXCompilerFlag)

macro_optional_find_package(XCB)
set_package_properties(XCB PROPERTIES DESCRIPTION "The X protocol C-language Binding (XCB) is a replacement for Xlib"
    URL "http://xcb.freedesktop.org/"
    TYPE OPTIONAL
    PURPOSE "Needed to build XRandR 1.1 backend"
)

macro_optional_find_package(X11_XCB)
set_package_properties(X11_XCB PROPERTIES DESCRIPTION "XCB extension to work with X11"
    URL "http://xcb.freedesktop.org/"
    TYPE OPTIONAL
    PURPOSE "Needed to build XRandR 1.1 backend"
)

# Required to build on Gentoo
link_directories(${QJSON_LIBRARY_DIRS})

check_cxx_compiler_flag(-fvisibility=hidden _HAVE_VISIBILITY)
if (_HAVE_VISIBILITY AND NOT WIN32)
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fvisibility=hidden")

  check_cxx_compiler_flag(-fvisibility-inlines-hidden _HAVE_VISIBILITY_INLINES)
  if (_HAVE_VISIBILITY_INLINES)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fvisibility-inlines-hidden")
  endif (_HAVE_VISIBILITY_INLINES)
endif (_HAVE_VISIBILITY AND NOT WIN32)

#
### lib64/32 support kde like
#
set(LIB_SUFFIX "" CACHE STRING "Define suffix for lib directory (32/64)")

set(BIN_INSTALL_DIR ${CMAKE_INSTALL_PREFIX}/bin)
set(LIB_INSTALL_DIR ${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX})

set(INSTALL_TARGETS_DEFAULT_ARGS  RUNTIME DESTINATION "${BIN_INSTALL_DIR}"
                                  LIBRARY DESTINATION "${LIB_INSTALL_DIR}"
                                  ARCHIVE DESTINATION "${LIB_INSTALL_DIR}" COMPONENT Devel )

include_directories(${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} ${CMAKE_CURRENT_BINARY_DIR} ${QT_INCLUDES} ${KDE4_INCLUDES})

add_subdirectory(src)
add_subdirectory(backends)
add_subdirectory(tests)

configure_file(${libkscreen_SOURCE_DIR}/LibKScreenConfig.cmake.in
               ${libkscreen_BINARY_DIR}/LibKScreenConfig.cmake
               @ONLY
)
# this file is used by to check if the installed version can be used.
macro_write_basic_cmake_version_file(${libkscreen_BINARY_DIR}/LibKScreenConfigVersion.cmake
                                     ${libkscreen_VERSION_MAJOR} ${libkscreen_VERSION_MINOR} ${libkscreen_VERSION_RELEASE})

install(FILES ${libkscreen_BINARY_DIR}/LibKScreenConfig.cmake ${libkscreen_BINARY_DIR}/LibKScreenConfigVersion.cmake
        DESTINATION ${LIB_INSTALL_DIR}/cmake/LibKScreen)

# Install the file with the exported targets
install(EXPORT kscreenLibraryTargets
        DESTINATION ${LIB_INSTALL_DIR}/cmake/LibKScreen
        FILE LibKScreenTargetsWithPrefix.cmake)



############################################ apidox ############################################

option(LIBKSCREEN_BUILD_API_DOCS "Build libkscreen API documentation")

if(LIBKSCREEN_BUILD_API_DOCS)
  find_package(Doxygen)

  if(DOXYGEN_EXECUTABLE)
    configure_file(${libkscreen_SOURCE_DIR}/.Doxyfile.cmake ${libkscreen_BINARY_DIR}/Doxyfile)

    if(EXISTS ${QT_DOC_DIR}/html)
      set(QTDOCS "${QT_DOC_DIR}/html")
    else(EXISTS ${QT_DOC_DIR}/html)
      set(QTDOCS "http://doc.qt.nokia.com/latest/")
    endif(EXISTS ${QT_DOC_DIR}/html)

    add_custom_target(
      apidox ALL
      COMMAND ${DOXYGEN_EXECUTABLE} Doxyfile
      COMMAND doc/html/installdox -l qt4.tag@${QTDOCS} doc/html/*.html)
  endif(DOXYGEN_EXECUTABLE)
endif(LIBKSCREEN_BUILD_API_DOCS)

## libkscreen 0.0.71

=== debian/changelog ===
libkscreen (0.0.71-0ubuntu1) raring; urgency=low

  * Initial release
  * WORKAROUND: qjson's symbols say 0.7.1 is enonugh but upstream wants
    >= 0.8.0 use shlibs.local to bump dependency to >=0.8.0

 -- Achim Bohnet <allee@kubuntu.org>  Mon, 21 Jan 2013 00:13:23 +0100

=== debian/control ===
Source: libkscreen
Priority: extra
Maintainer: Achim Bohnet <allee@kubuntu.org>
Build-Depends: debhelper (>= 8.0.0), cmake, kdelibs5-dev, libqjson-dev (>= 0.8.0), libxrandr-dev
Standards-Version: 3.9.4
Section: libs
Homepage: https://projects.kde.org/projects/playground/libs/libkscreen
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/libkscreen
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/libkscreen

Package: libkscreen-dev
Section: libdevel
Architecture: any
Depends: libkscreen0 (= ${binary:Version}), libqt4-dev
Description: library for screen management - development files
 The KDE multiple monitor support is trying be as smart as possible
 adapting the behavior of it to each use case making the configuration
 of monitors as simple as plugging them to your computer.
 .
 This package contains the files necessary for development.

Package: libkscreen0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: library for screen management - shared library
 The KDE multiple monitor support is trying be as smart as possible
 adapting the behavior of it to each use case making the configuration
 of monitors as simple as plugging them to your computer.
 .
 This package contains the shared library

Package: libkscreen-dbg
Section: debug
Architecture: any
Recommends: libqt4-dbg
Depends: ${misc:Depends}, libkscreen0 (= ${binary:Version})
Description: library for screen management - debug info
 The KDE multiple monitor support is trying be as smart as possible
 adapting the behavior of it to each use case making the configuration
 of monitors as simple as plugging them to your computer.
 .
 This package contains the debugging symbols.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

export DEB_BUILD_OPTIONS=nocheck

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --dbg-package=libkscreen-dbg \
	--list-missing

#	--with=pkgkde-symbolshelper \
#	--parallel \

=== debian/watch ===
# See uscan(1) for format
version=3
ftp://ftp.kde.org/pub/kde/unstable/libkscreen/([\d\.]+)/src/libkscreen-(.*)\.tar\.bz2

## libkscreen 0.0.81

=== debian/changelog ===
libkscreen (0.0.81-0ubuntu2) raring; urgency=low

  * Set maintainer to Kubuntu Developers

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 29 Mar 2013 21:43:43 +0100

libkscreen (0.0.81-0ubuntu1) raring; urgency=low

  * New upstream release candidate 
  * Add misc:Depends to libkscreen-dev depends to fix lintian warnings

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 29 Mar 2013 21:35:52 +0100

libkscreen (0.0.71+git20130311-0ubuntu1) raring; urgency=low

  * New upstream snapshot. 

 -- Howard Chan <smartboyhw@gmail.com>  Mon, 11 Mar 2013 21:05:45 +0800

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Source: libkscreen
 Priority: extra
-Maintainer: Achim Bohnet <allee@kubuntu.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Achim Bohnet <allee@kubuntu.org>
 Build-Depends: debhelper (>= 8.0.0), cmake, kdelibs5-dev, libqjson-dev (>= 0.8.0), libxrandr-dev
 Standards-Version: 3.9.4
 Section: libs
@@ -11,7 +12,7 @@
 Package: libkscreen-dev
 Section: libdevel
 Architecture: any
-Depends: libkscreen0 (= ${binary:Version}), libqt4-dev
+Depends: ${misc:Depends}, libkscreen0 (= ${binary:Version}), libqt4-dev
 Description: library for screen management - development files
  The KDE multiple monitor support is trying be as smart as possible
  adapting the behavior of it to each use case making the configuration

## libkscreen 1.0.1

=== debian/changelog ===
libkscreen (1.0.1-0ubuntu1) saucy; urgency=low

  * New upstream release. (LP: #1208409)
  * Remove patch for the COPYING-CMAKE-SCRIPTS file
    since it is included in upstream already. 

 -- Howard Chan <smartboyhw@gmail.com>  Sun, 04 Aug 2013 18:27:33 +0800

libkscreen (1.0-0ubuntu1) saucy; urgency=low

  * New upstream release. (LP: #1194495)
  * Rename libkscreen0 to libkscreen1 for new library version.
  * Update symbols file for libkscreen1.
  * Add KSC_*.so symbols to libkscreen1.symbols.
  * Make libkscreen1 break/replace libkscreen0 for KSC_*.so.
  * Add required XCB libraries as build dependencies.
  * Update copyright file.
  * Add patch to add missing COPYING-CMAKE-SCRIPTS file.

 -- Howard Chan <smartboyhw@gmail.com>  Tue, 25 Jun 2013 21:22:51 +0800

libkscreen (0.0.92-0ubuntu2) saucy; urgency=low

  * Add a symbols file 

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 08 May 2013 15:38:03 +0100

libkscreen (0.0.92-0ubuntu1) saucy; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 07 May 2013 00:13:36 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Priority: extra
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Achim Bohnet <allee@kubuntu.org>
-Build-Depends: debhelper (>= 8.0.0), cmake, kdelibs5-dev, libqjson-dev (>= 0.8.0), libxrandr-dev
+Build-Depends: debhelper (>= 8.0.0), cmake, kdelibs5-dev, libqjson-dev (>= 0.8.0), libxrandr-dev, pkg-kde-tools, pkg-config, libx11-xcb-dev, libxcb-render-util0-dev, libxcb-image0-dev, libxcb-randr0-dev, libxcb-composite0-dev, libxcb-damage0-dev, libxcb-shape0-dev, libxcb-shm0-dev, libxcb-sync0-dev, libxcb-xfixes0-dev, libxcb1-dev, xcb-proto
 Standards-Version: 3.9.4
 Section: libs
 Homepage: https://projects.kde.org/projects/playground/libs/libkscreen
@@ -12,7 +12,7 @@
 Package: libkscreen-dev
 Section: libdevel
 Architecture: any
-Depends: ${misc:Depends}, libkscreen0 (= ${binary:Version}), libqt4-dev
+Depends: ${misc:Depends}, libkscreen1 (= ${binary:Version}), libqt4-dev
 Description: library for screen management - development files
  The KDE multiple monitor support is trying be as smart as possible
  adapting the behavior of it to each use case making the configuration
@@ -20,9 +20,11 @@
  .
  This package contains the files necessary for development.
 
-Package: libkscreen0
+Package: libkscreen1
 Section: libs
 Architecture: any
+Breaks: libkscreen0
+Replaces: libkscreen0
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: library for screen management - shared library
  The KDE multiple monitor support is trying be as smart as possible
@@ -35,7 +37,7 @@
 Section: debug
 Architecture: any
 Recommends: libqt4-dbg
-Depends: ${misc:Depends}, libkscreen0 (= ${binary:Version})
+Depends: ${misc:Depends}, libkscreen1 (= ${binary:Version})
 Description: library for screen management - debug info
  The KDE multiple monitor support is trying be as smart as possible
  adapting the behavior of it to each use case making the configuration

## libkscreen 1.0.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,9 @@
 project(libkscreen)
 set(libkscreen_VERSION_MAJOR 1)
 set(libkscreen_VERSION_MINOR 0)
-set(libkscreen_VERSION_RELEASE 1)
+set(libkscreen_VERSION_RELEASE 2)
 set(libkscreen_VERSION "${libkscreen_VERSION_MAJOR}.${libkscreen_VERSION_MINOR}.${libkscreen_VERSION_RELEASE}")
+add_definitions("-DLIBKSCREEN_VERSION=\\\"${libkscreen_VERSION}\\\"")
 
 cmake_minimum_required(VERSION 2.8.0)

=== src/CMakeLists.txt ===
include_directories(${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} ${CMAKE_CURRENT_BINARY_DIR} ${QT_INCLUDES})

set(libkscreen_SRCS
    backendloader.cpp
    config.cpp
    configmonitor.cpp
    screen.cpp
    output.cpp
    edid.cpp
    mode.cpp
)

qt4_automoc(${libkscreen_SRCS})

add_library(kscreen SHARED ${libkscreen_SRCS})

target_link_libraries(kscreen ${QT_QTCORE_LIBRARY} ${KDE4_KDECORE_LIBS} ${QJSON_LIBRARIES})

set_target_properties(kscreen PROPERTIES
    VERSION ${libkscreen_VERSION}
    SOVERSION ${libkscreen_VERSION_MAJOR}
)

install(TARGETS kscreen EXPORT kscreenLibraryTargets  ${INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES kscreen_export.h
            mode.h
            output.h
            edid.h
            screen.h
            config.h
            configmonitor.h
            DESTINATION include/kscreen)

if(NOT WIN32)
   configure_file(${CMAKE_CURRENT_SOURCE_DIR}/kscreen.pc.in ${CMAKE_CURRENT_BINARY_DIR}/kscreen.pc @ONLY)
   install(FILES ${CMAKE_CURRENT_BINARY_DIR}/kscreen.pc DESTINATION ${LIB_INSTALL_DIR}/pkgconfig)
endif(NOT WIN32)

=== backends/fake/CMakeLists.txt ===
include_directories(${CMAKE_SOURCE_DIR}/src
                    ${CMAKE_BUILD_DIR}
                    ${QT_INCLUDES}
                    ${QJSON_INCLUDE_DIR}
)

set(fake_SRCS
    fake.cpp
    parser.cpp
)

automoc4_add_library(KSC_Fake MODULE ${fake_SRCS})

set_target_properties(KSC_Fake PROPERTIES PREFIX "")
target_link_libraries(KSC_Fake ${QT_QTCORE_LIBRARY}
                               ${QJSON_LIBRARIES}
                               kscreen
)

install(TARGETS KSC_Fake DESTINATION ${PLUGIN_INSTALL_DIR}/plugins/kscreen/)

=== backends/xrandr/CMakeLists.txt ===
include_directories(${CMAKE_SOURCE_DIR}/src
                    ${KDE4_INCLUDES}
                    ${CMAKE_BUILD_DIR}
                    ${QT_INCLUDES}
                    ${X11_Xrandr_INCLUDE_PATH}
)

set(xrandr_SRCS
    xrandr.cpp
    xrandrx11helper.cpp
    xrandrconfig.cpp
    xrandroutput.cpp
    xrandrmode.cpp
    xrandrscreen.cpp
)

automoc4_add_library(KSC_XRandR MODULE ${xrandr_SRCS})

set_target_properties(KSC_XRandR PROPERTIES PREFIX "")
target_link_libraries(KSC_XRandR ${QT_QTCORE_LIBRARY}
                                 ${QT_QTGUI_LIBRARY}  #XrandrX11Helper is a QWidget
                                 ${KDE4_KDECORE_LIBS}
                                 ${KDE4_KDEUI_LIBS}
                                 ${X11_Xrandr_LIB}
                                 ${X11_LIBRARIES}
                                 kscreen
)

install(TARGETS KSC_XRandR DESTINATION ${PLUGIN_INSTALL_DIR}/plugins/kscreen/)

=== backends/xrandr1.1/CMakeLists.txt ===
find_package(XCB REQUIRED)

include_directories(${CMAKE_SOURCE_DIR}/src
                    ${KDE4_INCLUDES}
                    ${CMAKE_BUILD_DIR}
                    ${QT_INCLUDES}
                    ${X11_Xrandr_INCLUDE_PATH}
)

set(xrandr11_SRCS
    xrandr11.cpp
    ../xrandr/xrandrx11helper.cpp
)

automoc4_add_library(KSC_XRandR11 MODULE ${xrandr11_SRCS})

set_target_properties(KSC_XRandR11 PROPERTIES PREFIX "")
target_link_libraries(KSC_XRandR11 ${QT_QTCORE_LIBRARY}
                                   ${QT_QTGUI_LIBRARY} # XRandrX11Helper is a QWidget
                                   ${KDE4_KDECORE_LIBS}
                                   ${KDE4_KDEUI_LIBS}
                                   ${X11_LIBRARIES}
                                   ${X11_Xrandr_LIB}
                                   ${XCB_XCB_LIBRARIES}
                                   ${X11_XCB_LIBRARIES}
                                   ${XCB_RANDR_LIBRARIES}
                                   kscreen
)

install(TARGETS KSC_XRandR11 DESTINATION ${PLUGIN_INSTALL_DIR}/plugins/kscreen/)

=== debian/changelog ===
libkscreen (1.0.2-0ubuntu2) trusty; urgency=low

  * Build-depends on libxcb-sync-dev instead of libxcb-sync0-dev.

 -- Maarten Lankhorst <maarten.lankhorst@ubuntu.com>  Wed, 15 Jan 2014 16:50:31 +0100

libkscreen (1.0.2-0ubuntu1) trusty; urgency=low

  [ Jackson Doak ]
  * New upstream release
  * Update debian/watch
  * Update symbols

  [ Jonathan Riddell ]
  * Update copyright file

 -- Jackson Doak <noskcaj@ubuntu.com>  Sat, 23 Nov 2013 06:51:18 +1100

=== debian/rules ===
--- 
+++ 
@@ -13,8 +13,7 @@
 
 %:
 	dh $@ --dbg-package=libkscreen-dbg \
-	--list-missing
-
-#	--with=pkgkde-symbolshelper \
+	--list-missing \
+	--with=pkgkde-symbolshelper
 #	--parallel \

## libkscreen 1.0.5

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -30,7 +30,7 @@
             screen.h
             config.h
             configmonitor.h
-            DESTINATION include/kscreen)
+            DESTINATION ${INCLUDE_INSTALL_DIR}/kscreen)
 
 if(NOT WIN32)
    configure_file(${CMAKE_CURRENT_SOURCE_DIR}/kscreen.pc.in ${CMAKE_CURRENT_BINARY_DIR}/kscreen.pc @ONLY)

=== backends/xrandr/CMakeLists.txt ===
--- 
+++ 
@@ -23,6 +23,8 @@
                                  ${KDE4_KDEUI_LIBS}
                                  ${X11_Xrandr_LIB}
                                  ${X11_LIBRARIES}
+                                 ${XCB_RANDR_LIBRARIES}
+                                 ${XCB_XCB_LIBRARIES}
                                  kscreen
 )

=== debian/changelog ===
libkscreen (1.0.5-1) unstable; urgency=medium

  * New upstream release.
    - Fixes crash in configuration notification handling. (Closes: #755091)
  * Drop debian/patches/randr_documented_interface, fixed upstream.

 -- Felix Geyer <fgeyer@debian.org>  Sat, 09 Aug 2014 11:49:15 +0200

libkscreen (1.0.4-1) unstable; urgency=medium

  [ Pino Toscano ]
  * Replace the libxcb-sync0-dev build dependency with libxcb-sync-dev.
  * Remove empty ${misc:Pre-Depends} substvar from libkscreen-dbg.

  [ Maximiliano Curia ]
  * New upstream release.
  * Remove upstream patch: upstream_01_Fix-crash.patch
  * Remove upstream patch: upstream_02_Don-t-crash-when-printing-a-null-
    KScreen-Output-from.patch
  * New patch: randr_documented_interface (Closes: #751889)

 -- Maximiliano Curia <maxy@debian.org>  Sat, 12 Jul 2014 12:56:32 +0200

libkscreen (1.0.3-1) unstable; urgency=medium

  * New upstream release.
  * Update symbols file.
  * Add new upstream patch: upstream_01_Fix-crash.patch
  * Add new upstream patch: upstream_02_Don-t-crash-when-printing-a-
    null-KScreen-Output-from.patch

 -- Maximiliano Curia <maxy@debian.org>  Wed, 07 May 2014 15:54:56 +0200

libkscreen (1.0.2-1) unstable; urgency=low

  [ Rohan Garg ]
  * Initial package (Closes: #731478)

  [ Maximiliano Curia ]
  * New patch: libdir.diff, install in the m-a paths.
  * New patch: plugins_in_ma_paths.diff.
  * Add autopkgtests.
  * Add abi-compliance-checker info.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 05 Dec 2013 12:52:48 +0100

=== debian/control ===
Source: libkscreen
Section: libs
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Felix Geyer <fgeyer@debian.org>,
           Rohan Garg <rohan@kde.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: debhelper (>= 9),
               cmake (>= 2.8.0),
               pkg-kde-tools,
               kdelibs5-dev,
               libqjson-dev (>= 0.8.0),
               libxrandr-dev,
               pkg-config,
               libx11-xcb-dev,
               libxcb1-dev,
               libxcb-composite0-dev,
               libxcb-damage0-dev,
               libxcb-dri2-0-dev,
               libxcb-ewmh-dev,
               libxcb-glx0-dev,
               libxcb-icccm4-dev,
               libxcb-image0-dev,
               libxcb-randr0-dev,
               libxcb-render0-dev,
               libxcb-render-util0-dev,
               libxcb-shape0-dev,
               libxcb-shm0-dev,
               libxcb-sync-dev,
               libxcb-util0-dev,
               libxcb-xfixes0-dev,
               libxcb-xtest0-dev,
               libxcb-xv0-dev,
               xcb-proto
Standards-Version: 3.9.5
XS-Testsuite: autopkgtest
Homepage: https://projects.kde.org/projects/extragear/libs/libkscreen
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/libkscreen.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-extras/libkscreen.git

Package: libkscreen-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libkscreen1 (= ${binary:Version}), libqt4-dev
Description: library for screen management - development files
 The KDE multiple monitor support is trying be as smart as possible
 adapting the behavior of it to each use case making the configuration
 of monitors as simple as plugging them to your computer.
 .
 This package contains the files necessary for development.

Package: libkscreen1
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: library for screen management - shared library
 The KDE multiple monitor support is trying be as smart as possible
 adapting the behavior of it to each use case making the configuration
 of monitors as simple as plugging them to your computer.
 .
 This package contains the shared library

Package: libkscreen-dbg
Section: debug
Priority: extra
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, libkscreen1 (= ${binary:Version})
Recommends: libqt4-dbg
Description: library for screen management - debug info
 The KDE multiple monitor support is trying be as smart as possible
 adapting the behavior of it to each use case making the configuration
 of monitors as simple as plugging them to your computer.
 .
 This package contains the debugging symbols.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@ --parallel \
	    --with kde,pkgkde-symbolshelper

override_dh_auto_configure:
	dh_auto_configure -- -DLIB_DESTINATION=/usr/lib/$(DEB_HOST_MULTIARCH)

override_dh_install:
	dh_install --fail-missing

override_dh_strip:
	dh_strip --dbg-package=libkscreen-dbg

# Tests require libkscreen backends installed, even with xvfb-run
.PHONY: override_dh_auto_test

=== debian/watch ===
version=3

ftp://ftp.kde.org/pub/kde/stable/libkscreen/([\d\.]+)/src/libkscreen-(.*)\.tar\.xz

## libkscreen 5.2.2

=== debian/changelog ===
libkscreen (4:5.2.2-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 24 Mar 2015 07:34:45 -0700

libkscreen (4:5.2.1-0ubuntu1) vivid; urgency=medium

  [ Harald Sitter ]
  * Use software transition flags for kscreen5->6
    Using versioned breaks/replaces instead of an unversioned
    conflicts.

  [ Scarlett Clark ]
  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 23 Feb 2015 09:43:36 -0800

libkscreen (4:5.2.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Harald Sitter <sitter@kde.org>  Tue, 27 Jan 2015 14:55:18 +0100

libkscreen (4:5.1.95-0ubuntu1) vivid; urgency=medium

  [ Jonathan Riddell ]
  * Update for soversion bump

  [ Philip Muškovac ]
  * Add plugin symbols to symbols file as they're shipped in the library
    package

  [ Jonathan Riddell ]
  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 15 Jan 2015 01:32:51 +0100

libkscreen (5.1.2-0ubuntu1) UNRELEASED; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 12 Dec 2014 14:37:52 +0100

libkscreen (5.1.1-0ubuntu2) vivid; urgency=medium

  * Add symbols file

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 26 Nov 2014 15:36:31 +0100

libkscreen (5.1.1-0ubuntu1) vivid; urgency=medium

  * New upstream release.

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 10 Nov 2014 19:48:54 +0100

libkscreen (5.1.0.1-0ubuntu1) UNRELEASED; urgency=medium

  [ Jonathan Riddell ]
  * New upstream release

  [ Scarlett Clark ]
  * Add missing build depends for various xcb protocols.

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 01 Oct 2014 15:47:21 +0200

libkscreen (5.0.93-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Thu, 18 Sep 2014 07:13:45 -0700

libkscreen (5.0.92-0ubuntu1) UNRELEASED; urgency=medium

  [ Jonathan Riddell ]
  * New upstream bugfix release

  [ Harald Sitter ]
  * switch to new pkg-kde-tools

 -- Jonathan Riddell <jriddell@ubuntu.com>  Sun, 10 Aug 2014 16:57:26 +0200

libkscreen (5.0.91-0ubuntu1) utopic; urgency=medium

  [ Jonathan Riddell ]
  * New upstream release

  [ Scarlett Clark ]
  * Fix rules
  * Update watch to http://download.kde.org
  * Update extra-cmake-modules depend version

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 10 Jul 2014 21:20:23 +0200

libkscreen (1.73-0ubuntu1) utopic; urgency=medium

  * New upstream RC release
  * Upstream renamed to libkscreen

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 07 Jul 2014 14:38:00 +0200

libkscreen2 (1.72-0ubuntu1) utopic; urgency=medium

  [ Scarlett Clark ]
  * Initial release.

  [ Jonathan Riddell ]
  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 09 Jun 2014 10:26:08 +0100

=== debian/control ===
Source: libkscreen
Priority: extra
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Build-Depends: cmake,
               debhelper (>= 9.0.0),
               extra-cmake-modules (>= 1.3.0~),
               libqjson-dev,
               libqt5x11extras5-dev,
               libx11-xcb-dev,
               libxcb-composite0-dev,
               libxcb-cursor-dev,
               libxcb-damage0-dev,
               libxcb-dpms0-dev,
               libxcb-ewmh-dev,
               libxcb-icccm4-dev,
               libxcb-image0-dev,
               libxcb-keysyms1-dev,
               libxcb-randr0-dev,
               libxcb-record0-dev,
               libxcb-render-util0-dev,
               libxcb-res0-dev,
               libxcb-screensaver0-dev,
               libxcb-shape0-dev,
               libxcb-shm0-dev,
               libxcb-sync-dev,
               libxcb-util0-dev,
               libxcb-xevie0-dev,
               libxcb-xf86dri0-dev,
               libxcb-xfixes0-dev,
               libxcb-xinerama0-dev,
               libxcb-xkb-dev,
               libxcb-xprint0-dev,
               libxcb-xtest0-dev,
               libxcb-xv0-dev,
               libxcb-xvmc0-dev,
               libxcb1-dev,
               libxrandr-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev,
               xauth,
               xcb-proto,
               xvfb
Standards-Version: 3.9.5
Section: libs
Homepage: https://projects.kde.org/projects/playground/libs/libkscreen

Package: libkf5screen-dev
Section: libdevel
Architecture: any
Depends: libkf5screen6 (= ${binary:Version}), ${misc:Depends}
Description: library for screen management - development files
 The KDE multiple monitor support is trying be as smart as possible
 adapting the behavior of it to each use case making the configuration
 of monitors as simple as plugging them to your computer.
 .
 This package contains the files necessary for development.

Package: libkf5screen6
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libkf5screen5 (<< 4:5.2.0)
Replaces: libkf5screen5 (<< 4:5.2.0)
Description: library for screen management - shared library
 The KDE multiple monitor support is trying be as smart as possible
 adapting the behavior of it to each use case making the configuration
 of monitors as simple as plugging them to your computer.
 .
 This package contains the shared library

Package: libkscreen-dbg
Section: debug
Architecture: any
Recommends: qtbase5-dbg
Depends: libkf5screen6 (= ${binary:Version}), ${misc:Depends}
Description: library for screen management - debug info
 The KDE multiple monitor support is trying be as smart as possible
 adapting the behavior of it to each use case making the configuration
 of monitors as simple as plugging them to your computer.
 .
 This package contains the debugging symbols.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbg-package=libkscreen-dbg

override_dh_auto_test:
	dh_installwm openbox\
	xvfb-run -a dh_auto_test

=== debian/watch ===
version=3
http://download.kde.org/unstable/plasma/([\d\.]+)/libkscreen-(.*)\.tar\.xz

http://download.kde.org/stable/plasma/([\d\.]+)/libkscreen-(.*)\.tar\.xz

## libkscreen 5.4.2

=== debian/changelog ===
libkscreen (4:5.4.2-0ubuntu1) wily; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 02 Oct 2015 15:57:41 +0100

libkscreen (4:5.4.1-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 08 Sep 2015 10:20:02 +0100

libkscreen (4:5.4.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 31 Aug 2015 15:53:03 +0100

libkscreen (4:5.3.95-0ubuntu1) wily; urgency=medium

  * new upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 10 Aug 2015 23:17:17 +0200

libkscreen (4:5.3.2-0ubuntu2) wily; urgency=medium

  * Non-maintainer upload.
  * Update symbols files: mark as optional the symbols gone after
    building with GCC 5

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 22 Jul 2015 20:00:44 +0200

libkscreen (4:5.3.2-0ubuntu1) UNRELEASED; urgency=medium

  * Vivid backport

 -- Scarlett Clark <sgclark@kubuntu.org>  Thu, 02 Jul 2015 11:41:59 -0700

libkscreen (4:5.3.2-0ubuntu1) wily; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 02 Jul 2015 12:40:13 +0000

libkscreen (4:5.3.1-0ubuntu1) wily; urgency=medium

  [ Scarlett Clark ]
  * Manual merge kubuntu_stable. 

  [ Jonathan Riddell ]
  * Plasma 5.3 beta
  * new upstream release

  [ Scarlett Clark ]
  * Vivid backport

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 05 Jun 2015 02:35:42 +0200

libkscreen (4:5.3.1-1~) wily; urgency=medium

  * New upstream release (5.3.0).
  * New upstream release (5.3.1).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 05 Jun 2015 11:55:03 +0200

libkscreen (4:5.2.2-1) experimental; urgency=medium

  * New upstream release (5.2.1).
  * New upstream release (5.2.2).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 25 Mar 2015 23:17:37 +0100

libkscreen (4:5.2.0-1) experimental; urgency=medium

  [ Harald Sitter ]
  * Use software transition flags for kscreen5->6
    Using versioned breaks/replaces instead of an unversioned
    conflicts.

  [ Maximiliano Curia ]
  * Prepare initial Debian release.
  * Add myself as Uploader.
  * Bump Standards-Version to 3.9.6, no changes needed.
  * Update build dependencies to build against experimental and to
    follow cmake.
  * Update copyright information.
  * Update install files.
  * Update watch file.
  * Add basic autopkgtests support.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 09 Feb 2015 17:18:18 +0100

=== debian/control ===
Source: libkscreen
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 1.3.0~),
               libqt5x11extras5-dev (>= 5.4),
               libx11-dev,
               libx11-xcb-dev,
               libxcb-randr0-dev,
               libxcb1-dev,
               libxrandr-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.4),
               xauth,
               xvfb
Standards-Version: 3.9.6
XS-Testsuite: autopkgtest
Homepage: https://projects.kde.org/projects/kde/workspace/libkscreen
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/plasma/libkscreen.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/plasma/libkscreen.git

Package: libkf5screen-dev
Section: libdevel
Architecture: any
Depends: libkf5screen6 (= ${binary:Version}),
         qtbase5-dev (>= 5.4),
         ${misc:Depends}
Description: library for screen management - development files
 The KDE multiple monitor support is trying be as smart as possible
 adapting the behavior of it to each use case making the configuration
 of monitors as simple as plugging them to your computer.
 .
 This package contains the files necessary for development.

Package: libkf5screen6
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libkf5screen5 (<< 4:5.2.0)
Replaces: libkf5screen5 (<< 4:5.2.0)
Description: library for screen management - shared library
 The KDE multiple monitor support is trying be as smart as possible
 adapting the behavior of it to each use case making the configuration
 of monitors as simple as plugging them to your computer.
 .
 This package contains the shared library

Package: libkscreen-dbg
Section: debug
Priority: extra
Architecture: any
Recommends: qtbase5-dbg
Depends: libkf5screen6 (= ${binary:Version}), ${misc:Depends}
Description: library for screen management - debug info
 The KDE multiple monitor support is trying be as smart as possible
 adapting the behavior of it to each use case making the configuration
 of monitors as simple as plugging them to your computer.
 .
 This package contains the debugging symbols.

=== debian/rules ===
--- 
+++ 
@@ -7,5 +7,4 @@
 	$(overridden_command) --dbg-package=libkscreen-dbg
 
 override_dh_auto_test:
-	dh_installwm openbox\
-	xvfb-run -a dh_auto_test
+	-xvfb-run -a dh_auto_test

## libkscreen 5.5.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12)

project(libkscreen)
set(PROJECT_VERSION "5.5.5")

find_package(ECM 5.14.0 REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})
include(KDEInstallDirs)
include(KDECompilerSettings)
include(KDECMakeSettings)
include(ECMSetupVersion)
include(ECMPackageConfigHelpers)
include(ECMMarkAsTest)
include(ECMGenerateHeaders)
include(ECMQtDeclareLoggingCategory)
include(FeatureSummary)
include(CheckCXXCompilerFlag)

set(REQUIRED_QT_VERSION 5.2.0)
find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Core DBus Gui Test X11Extras)

find_package(XCB COMPONENTS XCB RANDR)
set_package_properties(XCB PROPERTIES
                       TYPE REQUIRED
                       PURPOSE "Required for building XRandR backends"
)

set(KF5_VERSION ${PROJECT_VERSION}) #When we are happy with the api, we can sync with frameworks
ecm_setup_version(${KF5_VERSION} VARIABLE_PREFIX KSCREEN
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kscreen_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5ScreenConfigVersion.cmake"
                        SOVERSION 6)

check_cxx_compiler_flag(-fvisibility=hidden _HAVE_VISIBILITY)
if (_HAVE_VISIBILITY AND NOT WIN32)
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fvisibility=hidden")

  check_cxx_compiler_flag(-fvisibility-inlines-hidden _HAVE_VISIBILITY_INLINES)
  if (_HAVE_VISIBILITY_INLINES)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fvisibility-inlines-hidden")
  endif (_HAVE_VISIBILITY_INLINES)
endif (_HAVE_VISIBILITY AND NOT WIN32)

add_subdirectory(src)
add_subdirectory(backends)
add_subdirectory(autotests)
add_subdirectory(tests)

set(CMAKECONFIG_INSTALL_DIR "${CMAKECONFIG_INSTALL_PREFIX}/KF5Screen")
ecm_configure_package_config_file("${CMAKE_CURRENT_SOURCE_DIR}/KF5ScreenConfig.cmake.in"
                              "${CMAKE_CURRENT_BINARY_DIR}/KF5ScreenConfig.cmake"
                              INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KF5ScreenConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5ScreenConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT
  KF5ScreenTargets
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  FILE KF5ScreenTargets.cmake
  NAMESPACE KF5::
  COMPONENT Devel
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/kscreen_version.h"
  DESTINATION "${KF5_INCLUDE_INSTALL_DIR}"
  COMPONENT Devel
)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

############################################ apidox ############################################

option(LIBKSCREEN_BUILD_API_DOCS "Build libkscreen API documentation")

if(LIBKSCREEN_BUILD_API_DOCS)
  find_package(Doxygen)

  if(DOXYGEN_EXECUTABLE)
    configure_file(${libkscreen_SOURCE_DIR}/.Doxyfile.cmake ${libkscreen_BINARY_DIR}/Doxyfile)

    if(EXISTS ${QT_DOC_DIR}/html)
      set(QTDOCS "${QT_DOC_DIR}/html")
    else(EXISTS ${QT_DOC_DIR}/html)
      set(QTDOCS "http://doc.qt.nokia.com/latest/")
    endif(EXISTS ${QT_DOC_DIR}/html)

    add_custom_target(
      apidox ALL
      COMMAND ${DOXYGEN_EXECUTABLE} Doxyfile
      COMMAND doc/html/installdox -l qt4.tag@${QTDOCS} doc/html/*.html)
  endif(DOXYGEN_EXECUTABLE)
endif(LIBKSCREEN_BUILD_API_DOCS)

=== autotests/CMakeLists.txt ===
add_definitions(-DTEST_DATA="${CMAKE_CURRENT_SOURCE_DIR}/configs/")

include_directories(${CMAKE_CURRENT_BINARY_DIR})

macro(KSCREEN_ADD_TEST)
    foreach(_testname ${ARGN})
        set(test_SRCS ${_testname}.cpp)
        qt5_add_dbus_interface(test_SRCS ${CMAKE_SOURCE_DIR}/interfaces/org.kde.KScreen.FakeBackend.xml fakebackendinterface)
        add_executable(${_testname} ${test_SRCS})
        target_link_libraries(${_testname} Qt5::Core Qt5::Gui Qt5::Test Qt5::DBus KF5::Screen)
        add_test(NAME kscreen-${_testname}
                 COMMAND dbus-launch $<TARGET_FILE:${_testname}>
        )
        ecm_mark_as_test(${_testname})
    endforeach(_testname)
endmacro(KSCREEN_ADD_TEST)

kscreen_add_test(testscreenconfig)
kscreen_add_test(testqscreenbackend)
kscreen_add_test(testconfigserializer)
kscreen_add_test(testconfigmonitor)

if (ENABLE_XRANDR_TESTS)
    kscreen_add_test(textxrandr)
endif()

=== src/CMakeLists.txt ===
include_directories(${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} ${CMAKE_CURRENT_BINARY_DIR} ${QT_INCLUDES})

add_subdirectory(backendlauncher)

set(libkscreen_SRCS
    abstractbackend.cpp
    backendmanager.cpp
    config.cpp
    configoperation.cpp
    getconfigoperation.cpp
    setconfigoperation.cpp
    configmonitor.cpp
    configserializer.cpp
    screen.cpp
    output.cpp
    edid.cpp
    mode.cpp
    debug_p.cpp
)

qt5_add_dbus_interface(libkscreen_SRCS ${CMAKE_SOURCE_DIR}/interfaces/org.kde.KScreen.Backend.xml backendinterface)

add_library(KF5Screen SHARED ${libkscreen_SRCS})

target_link_libraries(KF5Screen
    PUBLIC
    Qt5::Core
    PRIVATE
    Qt5::DBus
    Qt5::X11Extras
)

set_target_properties(KF5Screen PROPERTIES
    VERSION "${KSCREEN_VERSION_STRING}"
    SOVERSION "${KSCREEN_SOVERSION}"
    EXPORT_NAME Screen
)

target_include_directories(KF5Screen PUBLIC "$<INSTALL_INTERFACE:${KF5_INCLUDE_INSTALL_DIR}/KScreen>")

install(TARGETS KF5Screen EXPORT KF5ScreenTargets ${INSTALL_TARGETS_DEFAULT_ARGS})
add_library(KF5::Screen ALIAS KF5Screen)

ecm_generate_headers(KScreen_HEADERS
    HEADER_NAMES
        Mode
        Output
        EDID
        Screen
        Config
        ConfigMonitor
        ConfigOperation
        GetConfigOperation
        SetConfigOperation
        Types
    PREFIX KScreen
    REQUIRED_HEADERS KScreen_REQ_HEADERS
)

install(FILES ${KScreen_HEADERS}
        DESTINATION ${KF5_INCLUDE_INSTALL_DIR}/KScreen/KScreen
        COMPONENT Devel)
install(FILES kscreen_export.h
              backendmanager_p.h # needed for unit-tests in KScreen
              ${KScreen_REQ_HEADERS}
        DESTINATION ${KF5_INCLUDE_INSTALL_DIR}/KScreen/kscreen)

if(NOT WIN32)
   configure_file(${CMAKE_CURRENT_SOURCE_DIR}/kscreen2.pc.in ${CMAKE_CURRENT_BINARY_DIR}/kscreen2.pc @ONLY)
   install(FILES ${CMAKE_CURRENT_BINARY_DIR}/kscreen2.pc DESTINATION ${LIB_INSTALL_DIR}/pkgconfig)
endif(NOT WIN32)

include(ECMGeneratePriFile)
ecm_generate_pri_file(BASE_NAME KScreen LIB_NAME KF5Screen DEPS "core" FILENAME_VAR PRI_FILENAME)
install(FILES ${PRI_FILENAME} DESTINATION ${ECM_MKSPECS_INSTALL_DIR})

=== tests/CMakeLists.txt ===
add_executable(printconfig testplugandplay.cpp testpnp.cpp)
target_link_libraries(printconfig Qt5::Gui KF5::Screen)

=== backends/xrandr/CMakeLists.txt ===
include_directories(${CMAKE_SOURCE_DIR}/src
                    ${CMAKE_BUILD_DIR}
)

set(xrandr_SRCS
    xrandr.cpp
    xrandrconfig.cpp
    xrandrcrtc.cpp
    xrandroutput.cpp
    xrandrmode.cpp
    xrandrscreen.cpp
    ../xcbwrapper.cpp
    ../xcbeventlistener.cpp
)

add_library(KSC_XRandR MODULE ${xrandr_SRCS})

set_target_properties(KSC_XRandR PROPERTIES PREFIX "")
target_link_libraries(KSC_XRandR Qt5::Core
                                 Qt5::Gui
                                 Qt5::X11Extras
                                 ${XCB_LIBRARIES}
                                 KF5::Screen
)

install(TARGETS KSC_XRandR DESTINATION ${PLUGIN_INSTALL_DIR}/kf5/kscreen/)

=== debian/changelog ===
libkscreen (4:5.5.5-0ubuntu1) xenial; urgency=medium

  [ Philip Muškovac ]
  * New upstream bugfix release

  [ Clive Johnston ]
  * Added lintian override for libkf5screen-bin being declared in
    symbols file. 

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 14 Apr 2016 13:47:51 -0700

libkscreen (4:5.5.4-2~ubuntu1) xenial; urgency=medium

  [ Clive Johnston ]
  * Merge with debian git master

  [ Philip Muškovac ]
  * libkf5kscreen-bin breaks/replaces libkf5screen6 << 4:5.5.4-2~

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 07 Mar 2016 21:25:30 +0100

libkscreen (4:5.5.4-2~) UNRELEASED; urgency=medium

  * Avoid circular dependencies.
  * Bump Standards-Version to 3.9.7, no changes needed.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 29 Feb 2016 16:20:21 +0100

libkscreen (4:5.5.4-1) experimental; urgency=medium

  * New upstream release (5.5.0).
  * Split -bin package from libkf5screen6.
  * New upstream release (5.5.1).
  * New upstream release (5.5.2).
  * New upstream release (5.5.3).
  * New upstream release (5.5.4).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 27 Jan 2016 16:48:59 +0100

libkscreen (4:5.4.3-1) unstable; urgency=medium

  * New upstream release (5.4.3).

 -- Maximiliano Curia <maxy@debian.org>  Tue, 01 Dec 2015 11:45:49 +0100

libkscreen (4:5.4.3-0ubuntu1) xenial; urgency=medium

  [ Scarlett Clark ]
  * Vivid backport
  * New upstream bugfix release

  [ Philip Muškovac ]
  * New upstream bugfix release (LP: #1518598)

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 22 Nov 2015 16:36:03 +0100

libkscreen (4:5.4.2-1) unstable; urgency=medium

  * New upstream release (5.4.2).
  * Update symbols files from buildds logs (4:5.4.1-1).

 -- Maximiliano Curia <maxy@debian.org>  Tue, 06 Oct 2015 07:52:07 +0200

libkscreen (4:5.4.2-0ubuntu2) xenial; urgency=medium

  * Fix autopackagetests by adding allow-stderr to the requirements.

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 03 Nov 2015 15:34:53 +0100

libkscreen (4:5.4.1-1) unstable; urgency=medium

  * New upstream release (5.4.1).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 11 Sep 2015 18:45:14 +0200

libkscreen (4:5.4.0-1) unstable; urgency=medium

  * New upstream release (5.4.0).
  * Update symbols files.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 03 Sep 2015 17:59:24 +0200

libkscreen (4:5.3.2-2) unstable; urgency=medium

  * Update symbols files for gcc5 compatibility. (Closes: #791728)
    Thanks to Martin Michlmayr

 -- Maximiliano Curia <maxy@debian.org>  Sat, 29 Aug 2015 11:37:43 +0200

libkscreen (4:5.3.2-1) unstable; urgency=medium

  * New upstream release (5.3.2).

 -- Maximiliano Curia <maxy@debian.org>  Tue, 30 Jun 2015 22:29:10 +0200

libkscreen (4:5.3.1-1) unstable; urgency=medium

  * New upstream release (5.3.0).
  * New upstream release (5.3.1).

 -- Maximiliano Curia <maxy@debian.org>  Tue, 30 Jun 2015 10:35:03 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 1.3.0~),
+               extra-cmake-modules (>= 5.14.0~),
                libqt5x11extras5-dev (>= 5.4),
                libx11-dev,
                libx11-xcb-dev,
@@ -14,14 +14,11 @@
                libxrandr-dev,
                pkg-config,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
-               qtbase5-dev (>= 5.4),
-               xauth,
-               xvfb
-Standards-Version: 3.9.6
-XS-Testsuite: autopkgtest
+               qtbase5-dev (>= 5.4)
+Standards-Version: 3.9.7
 Homepage: https://projects.kde.org/projects/kde/workspace/libkscreen
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/plasma/libkscreen.git
-Vcs-Git: git://anonscm.debian.org/pkg-kde/plasma/libkscreen.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/plasma/libkscreen.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-kde/plasma/libkscreen.git
 
 Package: libkf5screen-dev
 Section: libdevel
@@ -38,6 +35,7 @@
 
 Package: libkf5screen6
 Architecture: any
+Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Breaks: libkf5screen5 (<< 4:5.2.0)
 Replaces: libkf5screen5 (<< 4:5.2.0)
@@ -48,15 +46,15 @@
  .
  This package contains the shared library
 
-Package: libkscreen-dbg
-Section: debug
-Priority: extra
+Package: libkf5screen-bin
 Architecture: any
-Recommends: qtbase5-dbg
-Depends: libkf5screen6 (= ${binary:Version}), ${misc:Depends}
-Description: library for screen management - debug info
+Multi-Arch: foreign
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Breaks: libkf5screen6 (<< 4:5.5.4-2~)
+Replaces: libkf5screen6 (<< 4:5.5.4-2~)
+Description: library for screen management - helpers
  The KDE multiple monitor support is trying be as smart as possible
  adapting the behavior of it to each use case making the configuration
  of monitors as simple as plugging them to your computer.
  .
- This package contains the debugging symbols.
+ This package contains the library helpers and the corresponding dbus service.

=== debian/tests/control ===
Tests: testsuite
Depends: @, @builddeps@, build-essential, xvfb, xauth, dbus-x11, libgl1-mesa-dri
Restrictions: build-needed

Tests: acc
Depends: @, dh-acc, exuberant-ctags
Restrictions: allow-stderr

=== debian/watch ===
version=3
http://download.kde.org/unstable/plasma/([\d.]+)/libkscreen-([\d.]+)\.tar\.xz
http://download.kde.org/stable/plasma/([\d.]+)/libkscreen-([\d.]+)\.tar\.xz
